Package org.apache.sling.starter.access.models

# Class Acl

java.lang.Object
org.apache.sling.starter.access.models.AccessFormPage
org.apache.sling.starter.access.models.Acl

@Model(adaptables=org.apache.sling.api.SlingJakartaHttpServletRequest.class) public class Acl extends AccessFormPage

## Field Summary

Fields
Modifier and Type
Field
Description
`org.apache.sling.jcr.jackrabbit.accessmanager.GetAcl`
`getAcl`

### Fields inherited from class org.apache.sling.starter.access.models.AccessFormPage

`privilegesInfo, request, resource, response`

## Constructor Summary

Constructors
Constructor
Description
`Acl()`

## Method Summary

Modifier and Type
Method
Description
`Collection<PrincipalPrivilege>`
`getPrincipals()`

### Methods inherited from class org.apache.sling.starter.access.models.AccessFormPage

`getCanModifyAccessControl, getCanReadAccessControl, getLocation, getPrivilegesInfo, init`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### getAcl

public org.apache.sling.jcr.jackrabbit.accessmanager.GetAcl getAcl

## Constructor Details

### Acl

public Acl()

## Method Details

### getPrincipals

public Collection<PrincipalPrivilege> getPrincipals() throws javax.jcr.RepositoryException

Throws:
  `javax.jcr.RepositoryException`